﻿using Kivii.Linq.Test.Samples;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Linq.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            var localDbPath = KiviiContext.Combine(KiviiContext.BaseDirectoryString, KiviiContext.AppDataFolder, $"test.sqlite");
            var localFactory = Kivii.Linq.LinqUtils.GetLinqConnectionFactory(localDbPath, "Sqlite");
            var conn = localFactory.OpenDbConnection();
            var joinTest = new JoinTest();
            joinTest.Connection = conn;
            joinTest.JoinTwoEntities();
            conn.Dispose();

        }
    }
}
